From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/starlette/
Date: Wed, 8 Jun 2022 05:35:00 +0000 (UTC) [thread overview]
Message-ID: <1654666487.188fe974489766b9ba3d71a096765b01e2fdd3aa.mgorny@gentoo> (raw)
commit: 188fe974489766b9ba3d71a096765b01e2fdd3aa
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 8 04:29:42 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 8 05:34:47 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=188fe974
dev-python/starlette: Bump to 0.20.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/starlette/Manifest | 1 +
dev-python/starlette/starlette-0.20.2.ebuild | 65 ++++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
diff --git a/dev-python/starlette/Manifest b/dev-python/starlette/Manifest
index 6e4b0c038128..aaf1f33c4d01 100644
--- a/dev-python/starlette/Manifest
+++ b/dev-python/starlette/Manifest
@@ -1,3 +1,4 @@
DIST starlette-0.18.0.gh.tar.gz 408097 BLAKE2B ddc85690d9eb962a8d82544a1667d17316025330c8fda0c79dc21422399bcff01ccf5baf85eda7941f40aac5845d18fdcefaa23ba8ba442d30f0b9e194f7287c SHA512 521d39c1eec818250da3f2dc24cd2fb08393b76e6314a9bd5f3e520bdfa4652ae4ace5876b7e7f3a7ddc5540160e1086997a40b86a1b1bfd694c6aa1abde9106
DIST starlette-0.20.0.gh.tar.gz 414497 BLAKE2B 47c6ef632a600bd18075c8ea65811ed18e08c285ed01cb34e5f74c00b2349430703ac041beacb35b91d941501001d2b93b79b777b403f5b6bef4682f6c13b02a SHA512 f28aff53732ec5950b2432ea644667d408e80cb4b51a177652a9bfe6731c6fa1208cba644fcaa84405bf51ef00f500a277c86e48f5446e2014369c1d1edda357
DIST starlette-0.20.1.gh.tar.gz 416665 BLAKE2B 1b02f220dd6a8ebfdba405e3b9907030f006ec7ede43022fcef7911f5ac103da0eba16e7175e31e14529e64c711eac87b00c98534fbb18e784217ccca45f0c12 SHA512 4b10cf402bb3b3f96ec0bbb8e5fbd1e2abac4cbcf25a099bafad88fe02653d45e602e683f712251bb6dc230bc0d0754b2c960be2361239dc62e7e96b8b20ce6b
+DIST starlette-0.20.2.gh.tar.gz 417198 BLAKE2B 17ddd8fe5cd91e022fbe4f092a8bb731503294898dcddb2ac577a4f106f0e9db8901aaef01f6e07be082ba19636bdda799753e1f3a21d12e31454b29b5136fec SHA512 fb30c475779c4cf21cc43dc7e0aff58700c6356b692bc662edf93004054539ce80a97cb36e14636e33fa969b291f160cbf148b5aed749da197c13d4fec4eacda
diff --git a/dev-python/starlette/starlette-0.20.2.ebuild b/dev-python/starlette/starlette-0.20.2.ebuild
new file mode 100644
index 000000000000..2a2de474dce5
--- /dev/null
+++ b/dev-python/starlette/starlette-0.20.2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="The little ASGI framework that shines"
+HOMEPAGE="
+ https://www.starlette.io/
+ https://github.com/encode/starlette/
+ https://pypi.org/project/starlette/
+"
+SRC_URI="
+ https://github.com/encode/starlette/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ <dev-python/anyio-5[${PYTHON_USEDEP}]
+ >=dev-python/anyio-3.4.0[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+# brotli needed for consistent test output
+BDEPEND="
+ test? (
+ || (
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ )
+ dev-python/trio[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # Unpackaged 'databases' dependency
+ tests/test_database.py
+
+ # Unpackaged 'multipart' dependency
+ tests/test_formparsers.py
+)
+
+EPYTEST_DESELECT=(
+ # Unpackaged 'multipart' dependency
+ tests/test_requests.py::test_request_form_urlencoded
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # fix accept-encoding, as new support was added with newer versions
+ sed -e '/accept-encoding/s/",/, br&/' -i tests/test_{websockets,requests}.py || die
+
+ distutils-r1_src_prepare
+}
next reply other threads:[~2022-06-08 5:35 UTC|newest]
Thread overview: 108+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-08 5:35 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-19 4:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/starlette/ Michał Górny
2024-11-11 3:06 Michał Górny
2024-11-09 9:55 Michał Górny
2024-10-28 4:32 Michał Górny
2024-10-25 4:04 Michał Górny
2024-10-24 8:05 Arthur Zamarin
2024-10-19 8:53 Michał Górny
2024-10-19 8:53 Michał Górny
2024-10-19 8:44 Michał Górny
2024-10-19 8:16 Arthur Zamarin
2024-10-16 4:54 Michał Górny
2024-10-12 6:33 Sam James
2024-09-29 15:20 Michał Górny
2024-09-28 13:35 Michał Górny
2024-09-28 13:21 Arthur Zamarin
2024-09-26 4:50 Michał Górny
2024-09-24 6:41 Michał Górny
2024-09-23 3:48 Michał Górny
2024-09-09 2:24 Michał Górny
2024-09-02 3:02 Michał Górny
2024-08-17 7:51 Michał Górny
2024-07-28 5:25 Michał Górny
2024-07-23 20:06 Michał Górny
2024-06-14 16:22 Michał Górny
2024-03-22 4:38 Michał Górny
2024-03-21 18:22 Arthur Zamarin
2024-03-05 19:11 Michał Górny
2024-02-24 15:37 Michał Górny
2024-02-24 15:28 Michał Górny
2024-02-10 9:15 Michał Górny
2024-02-06 11:44 Michał Górny
2024-02-05 3:52 Michał Górny
2024-02-04 4:01 Michał Górny
2024-01-29 10:11 Michał Górny
2024-01-29 7:51 Sam James
2024-01-24 7:01 Michał Górny
2024-01-23 4:39 Michał Górny
2024-01-12 4:57 Michał Górny
2024-01-06 9:54 Michał Górny
2024-01-06 9:50 Michał Górny
2023-12-20 15:56 Michał Górny
2023-12-20 15:51 Michał Górny
2023-12-17 6:55 Michał Górny
2023-12-02 7:09 Michał Górny
2023-11-29 10:30 Michał Górny
2023-11-29 10:26 Michał Górny
2023-11-05 5:36 Michał Górny
2023-09-30 6:46 Michał Górny
2023-09-30 5:52 Arthur Zamarin
2023-08-27 15:59 Michał Górny
2023-08-19 18:19 Michał Górny
2023-08-19 17:53 Arthur Zamarin
2023-07-19 11:10 Michał Górny
2023-07-14 5:33 Michał Górny
2023-07-10 1:48 Michał Górny
2023-07-09 16:51 Arthur Zamarin
2023-06-08 5:55 Michał Górny
2023-06-06 7:44 Michał Górny
2023-06-06 6:41 Sam James
2023-05-31 8:25 Michał Górny
2023-05-17 3:40 Michał Górny
2023-04-16 17:08 Michał Górny
2023-04-16 16:22 Arthur Zamarin
2023-04-16 16:14 Arthur Zamarin
2023-04-15 5:40 Sam James
2023-04-15 5:40 Sam James
2023-04-14 20:53 Sam James
2023-03-14 6:11 Michał Górny
2023-03-11 9:49 Michał Górny
2023-03-11 8:11 Arthur Zamarin
2023-03-10 4:47 Michał Górny
2023-03-03 19:47 Arthur Zamarin
2023-02-26 18:16 Arthur Zamarin
2023-02-24 23:29 Sam James
2023-02-14 16:24 Michał Górny
2023-02-06 17:07 Michał Górny
2023-01-21 13:05 Michał Górny
2023-01-21 9:32 Arthur Zamarin
2023-01-21 9:26 Arthur Zamarin
2023-01-21 9:26 Arthur Zamarin
2023-01-21 8:42 Arthur Zamarin
2023-01-21 8:42 Arthur Zamarin
2022-12-28 1:08 Yixun Lan
2022-12-26 1:49 WANG Xuerui
2022-12-20 9:06 Sam James
2022-12-20 8:15 Sam James
2022-12-20 8:15 Sam James
2022-12-19 15:03 Michał Górny
2022-12-19 15:03 Michał Górny
2022-12-10 6:37 Michał Górny
2022-12-06 6:02 Michał Górny
2022-11-21 11:44 Michał Górny
2022-11-18 9:11 Michał Górny
2022-09-27 2:04 Michał Górny
2022-06-28 18:49 Arthur Zamarin
2022-06-16 8:09 Michał Górny
2022-06-10 8:25 Michał Górny
2022-06-01 7:30 Sam James
2022-05-29 7:09 Michał Górny
2022-05-16 13:11 Michał Górny
2022-05-03 8:27 Michał Górny
2022-05-03 8:27 Michał Górny
2022-04-22 7:18 Arthur Zamarin
2022-03-15 18:24 Michał Górny
2022-01-23 19:09 Arthur Zamarin
2021-12-15 7:34 Arthur Zamarin
2021-12-12 6:12 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1654666487.188fe974489766b9ba3d71a096765b01e2fdd3aa.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox